import { Config } from "../../config/Config";
import { IIntentRepository, IntentInstance } from "../../core/intent/IIntentRepository";
import { IDynamoDBService } from "./IDynamoDBService";
export declare class DynamoDBIntentRepository implements IIntentRepository {
    private config;
    private dynamoDb;
    private tableName;
    constructor(config: Config, dynamoDb: IDynamoDBService);
    put(instance: IntentInstance): Promise<string>;
    get(id: string): Promise<IntentInstance>;
}
