import { IEC2Service } from "./IEC2Service";
import { EC2 } from "aws-sdk";
export declare class EC2Service implements IEC2Service {
    private ec2;
    constructor();
    describeInstances(params: EC2.Types.DescribeInstancesRequest): Promise<EC2.Types.InstanceList>;
    stopInstances(params: EC2.Types.StopInstancesRequest): Promise<EC2.Types.StopInstancesResult>;
    startInstances(params: EC2.Types.StartInstancesRequest): Promise<EC2.Types.StartInstancesResult>;
    describeVpnConnections(params: EC2.Types.DescribeVpnConnectionsRequest): Promise<EC2.Types.DescribeVpnConnectionsResult>;
    describeImages(params: EC2.Types.DescribeImagesRequest): Promise<EC2.Types.DescribeImagesResult>;
}
