import { interfaces } from "inversify";
import { Intent } from "../core/intent/Intent";
import { SlackMessage } from "../slack/Types";
export declare class IntroduceYourselfIntent implements Intent<IntroduceYourselfEntities, SlackMessage> {
    private container;
    name: string;
    examples: {
        Simple: string;
        Elegant: string;
    };
    docs_url: string;
    constructor(container: interfaces.Container);
    execute(executionId: string, entities: IntroduceYourselfEntities): Promise<SlackMessage>;
}
export interface IntroduceYourselfEntities {
}
