import { interfaces } from "inversify";
import { IIntentDispatcher } from "./IIntentDispatcher";
import { IIntentRepository } from "../intent/IIntentRepository";
import { InteractiveComponentActions } from "../../slack/Types";
export declare class IntentDispatcher implements IIntentDispatcher {
    private container;
    private intentRepository;
    constructor(container: interfaces.Container, intentRepository: IIntentRepository);
    dispatch<I, O>(intentName: string, entities: I): Promise<O>;
    complete<I, O>(actions: InteractiveComponentActions): Promise<O>;
}
