import { IJenkinsService, JenkinsInfo } from "./IJenkinsService";
import { JenkinsConfig, Job } from "./Types";
/**
 * See https://github.com/silas/node-jenkins for the Jenkins API library used.
 *
 * See https://wiki.jenkins.io/display/JENKINS/Authenticating+scripted+clients for
 * more details on the Jenkins API.
 */
export declare class JenkinsService implements IJenkinsService {
    private jenkins;
    constructor(jenkinsConfig: JenkinsConfig);
    build(job: Job): Promise<number>;
    info(): Promise<JenkinsInfo>;
}
