import { ISlackWebAPI } from "./ISlackWebAPI";
import { PostMessageRequest, SlackConfig } from "./Types";
import { IHttpClient } from "../core/http/IHttpClient";
/***
 * The Slack Web API is documented on https://api.slack.com/web
 */
export declare class SlackWebAPI implements ISlackWebAPI {
    private slackConfig;
    private httpClient;
    constructor(slackConfig: SlackConfig, httpClient: IHttpClient);
    /**
     *  For the details on this API check https://api.slack.com/methods/chat.postMessage
     */
    postMessage(message: PostMessageRequest): Promise<void>;
}
